import jinja2
from run import Module, RenderTask, NullTask


class BootstrapModule(Module):

    # Meta

    meta_default = 'bootstrap'

    # Attributes

    author = '<author>'
    author_email = '<author_email>'
    copyright = '<copyright>'
    description = '<description>'
    license = '<license>'
    name = '<name>'
    pypi_password_secure = '<pypi_password_secure>'
    test_suite = '<test_suite>'

    # Tasks

    bootstrap = NullTask(
        meta_require=['render_runfile'],
    )

    render_runfile = RenderTask(
        jinja2=jinja2,
        source='runfile.py',
        target='runfile.py',
    )
